package be.iminds.ilabt.jfed.experimenter_gui.editor.views;

import be.iminds.ilabt.jfed.rspec.rspec_source.RequestRspecSource;
import javafx.beans.property.ReadOnlyStringProperty;
import javafx.scene.layout.Region;

/**
 * User: twalcari
 * Date: 5/20/2015
 * Time: 11:29
 */
public interface EditableRspecView {

    /**
     * @return The JavaFX Region that should be displayed for this EditableRspecView
     */
    Region getView();

    EditorViewType getType();

    RequestRspecSource getRequestRspecSource();

    /**
     * This method is called when the view is no longer relevant.
     */
    void dispose();

    ReadOnlyStringProperty statusProperty();

}
